#if _MSC_VER > 1000
#pragma once
#endif

#ifndef _LNDRAWER_H_9022FC04_7CE7_4e40_8F1E_6A7B7720E390
#define _LNDRAWER_H_9022FC04_7CE7_4e40_8F1E_6A7B7720E390

// klasa za crtanje linii, se inicijalizira PEN so debelina 1 
// vo crna boja , i dvete tocki (pocetnata i krajnata na linijata)
// se inicijaliziraat na 0

namespace Win 
{
	class CLineDrawer
	{
	public:
		CLineDrawer() : m_hPen(CreatePen(PS_SOLID, 1, RGB(0,0,0))),
			m_begin(), m_end() {}

		void	DrawLine(HWND hWnd) const;
		void	SetBegin(LPARAM const lParam) { m_begin = MAKEPOINTS(lParam); }
		void	SetEnd() { m_end = m_begin; } 
		void	UpdatePen(const HPEN hPen) { m_hPen = hPen; }

	private:
		HPEN	m_hPen;
		POINTS	m_begin;
		POINTS	m_end;
	};
};

#endif
